Package Base Details: webstorm

Git Clone URL: https://aur.archlinux.org/webstorm.git (read-only, click to copy)
Submitter: Testuser_01
Maintainer: freswa
Last Packager: freswa
Votes: 171
Popularity: 2.02
First Submitted: 2012-01-05 18:10
Last Updated: 2021-06-01 21:12

Packages (2)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 ... Next › Last »

MrTimscampi commented on 2017-09-07 17:42

Can you please change that .desktop file to not hardcode the icon ?

A simple replacement of '/opt/webstorm/bin/webstorm.svg' to 'webstorm' would be enough.
Install the .svg in the hicolor icon folder.

It's annoying when icons are hardcoded, especially since this one comes from this package, not the app itself.

freswa commented on 2017-07-20 07:07

@JohnRobson: AUR helper are not officially supported

JohnRobson commented on 2017-07-20 00:48

Please, fix the installation process, when updating (maybe installing too) WebStorm RE-Install ALL the packages 2 times!!! After first re-install I stop and re-run yaourt and it don't do the extra re-installation.

ericribeiro commented on 2017-07-18 14:15

Update to 2017.2 available. Just changed the "pkgver" to "2017.2", the "_pkgver" to "172.3317.70" and, after generating the new checksums, WebStorm was updated and worked properly.

arch commented on 2017-05-08 05:07

Menu item not work in LXQT. But webstorm runs from terminal.

freswa commented on 2017-02-28 15:20

12eason: Yes I am. Regarding apacman and packer: RTFM. AUR helper are just helper and are NOT officially supported.

12eason commented on 2017-02-28 15:15

Are you sure? On Aur both webstorm and webstorm-jre have the same pkgbuild, same comments, same vote score. When installing webstorm using apacman, only webstorm-jre is installed. Webstorm itself is never updated. When installing it using packer, I get the following output:

==> Entering fakeroot environment...
==> Starting package_webstorm()...
==> Tidying install...
-> Removing libtool files...
-> Purging unwanted files...
-> Removing static library files...
-> Compressing man and info pages...
==> Checking for packaging issue...
==> Creating package "webstorm"...
-> Generating .PKGINFO file...
-> Generating .BUILDINFO file...
-> Generating .MTREE file...
-> Compressing package...
==> Starting package_webstorm-jre()...
==> Tidying install...
-> Removing libtool files...
-> Purging unwanted files...
-> Removing static library files...
-> Compressing man and info pages...
==> Checking for packaging issue...
==> Creating package "webstorm-jre"...
-> Generating .PKGINFO file...
-> Generating .BUILDINFO file...
-> Generating .MTREE file...
-> Compressing package...
==> Leaving fakeroot environment.
==> Finished making: webstorm 2016.3.3-2 (Tue 28 Feb 15:12:47 GMT 2017)
[sudo] password for gram:
loading packages...
error: 'webstorm-jre-2016.3.3-2-x86_64.pkg.tar.xz': duplicate target

I believe you introduced a flaw in the packages when you split them a few days back.

freswa commented on 2017-02-28 09:00

I just built it from AUR, no problem here :)

12eason commented on 2017-02-27 20:37

Is this package broken? It just installs the jre and makes no attempt installing the main program.

freswa commented on 2016-07-15 11:14

This profile.d file makes more trouble than expected. I will remove it with the next update.